EnableExplicit

;<comment>
;   <summary>Creates the gadgets for the main window.</summary>
;</comment>
Procedure CreateWindowGadgets()
  ButtonGadget(1, 10, 10, 100, 20, "Button", 0)
  
EndProcedure

;<comment>
;   <summary>Converts a string from ASCII to UTF8.</summary>
;   <param>String$: String that is converted.</param>
;  <example>ReturnString$ = AsciiToUTF8("Hello World")</example>
;</comment>
Procedure.s AsciiToUTF8(String$)
  Protected Buffer$
  Protected UTF8String$
  Protected a
  
  Buffer$ = Space(Len(String$))
  PokeS(@Buffer$, String$, -1, #PB_Ascii)
  UTF8String$ = PeekS(@Buffer$, -1, #PB_UTF8)
  
  For a=1 To Len(UTF8String$)
    If Asc(Mid(UTF8String$, a, 1)) = 65533
      UTF8String$ = String$
      Break
    EndIf
  Next
  
  ProcedureReturn UTF8String$
EndProcedure

;<comment>
;  <summary>Example description with file link file:///D:\text.txt and with <u><b>HTML formats</b></u>.</summary>
;  <param><b>Example1</b>: Attribute of Comment, e.g. "param"</param>
;  <param><i><b>Example2</b></i>: Hello World<br>With line break</param>
;  <return>Returns value (string) of function</return>
;  <example>ExampleProcedure(1, 2, 3)</example>
;</comment>
Procedure ExampleProcedure(Example1, Example2, Example3)
  
  
EndProcedure

If OpenWindow(0, 0, 0, 500, 400, "Window", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
  
  CreateWindowGadgets()
  
  AsciiToUTF8("Hello")
  
  ExampleProcedure(0, 0, 0)
  
  Repeat
    Select WaitWindowEvent()
      Case #PB_Event_CloseWindow
        End
    EndSelect
  ForEver
EndIf
